Ubuntu 14.04 – Paket irqbalance 1.0.6-2 Fehler beim Upgrade

  • Beitrags-Autor:
  • Beitrags-Kategorie:Linux
  • Beitrags-Kommentare:0 Kommentare

irqbalance_1.0.6-2_update-error-fixedBeim Installieren der aktuellen Updates für irqbalance 1.0.6-2 bekommt man eine Fehlermeldung, dass das Post-Install-Script nicht korrekt abgelaufen ist und die Installation bricht ab.

Startet man die Installation manuell via „dpkg“ mit dem Parameter „-D65535“ bekommt man jede Menge Debug Informationen und ziemlich am Ende der langen Liste auch die Ursache präsentiert!

D000020: deferred_configure ‚/etc/init/irqbalance.conf‘ (= ‚/etc/init/irqbalance.conf‘) useredited=-1 distedited=-1 what=2
start: Job is already running: irqbalance
invoke-rc.d: initscript irqbalance, action „start“ failed.
dpkg: Fehler beim Bearbeiten des Paketes irqbalance (–install):
Unterprozess installiertes post-installation-Skript gab den Fehlerwert 1 zurück
D020000: post_script_tasks – ensure_diversions

Laut der Fehlermeldung konnte das Startscript nicht richtig ausgeführt werden weil bereits ein irqbalance Dienst läuft!

Für das Problem gibt es also eine ganz einfach Lösung – vor dem Start des Updates einfach den irqbalance Dienst stoppen.

service irqbalance stop

Und schon klappt es mit der Installation des Updates.

Schreibe einen Kommentar